Changeset 302 in flair-src for trunk/lib/FlairCore/CMakeLists.txt


Ignore:
Timestamp:
Feb 25, 2019, 4:28:34 PM (3 years ago)
Author:
Sanahuja Guillaume
Message:

modifs nouveau build system

File:
1 edited

Legend:

Unmodified
Added
Removed
  • trunk/lib/FlairCore/CMakeLists.txt

    r297 r302  
    11PROJECT(FlairCore)
    22cmake_minimum_required(VERSION 2.8)
    3 include($ENV{FLAIR_ROOT}/flair-dev/cmake-modules/GlobalCmakeFlair.cmake)
     3include($ENV{FLAIR_ROOT}/flair-src/cmake-modules/GlobalCmakeFlair.cmake)
    44
    55find_package(LibXml2 REQUIRED)
    6 
    7 execute_process(COMMAND ${CMAKE_C_COMPILER} -dumpversion
    8                 OUTPUT_VARIABLE GCC_VERSION)
    9 
    10 if (GCC_VERSION VERSION_GREATER 4.3 OR GCC_VERSION VERSION_EQUAL 4.3)
    11         if (GCC_VERSION VERSION_GREATER 4.7 OR GCC_VERSION VERSION_EQUAL 4.7)
    12                 ADD_DEFINITIONS("-std=c++11")
    13         else()
    14                 ADD_DEFINITIONS("-std=c++0x")
    15         endif()
    16 else()
    17         message(STATUS "GCC version < 4.3, c+11 is not supported!")
    18 endif()
    196
    207FILE(GLOB FLAIRCORE_SRC "${CMAKE_CURRENT_SOURCE_DIR}/src/*.cpp")
     
    2916
    3017add_subdirectory(${CMAKE_CURRENT_SOURCE_DIR}/nrt)
    31 if(NOT WIN32)
    3218add_subdirectory(${CMAKE_CURRENT_SOURCE_DIR}/rt)
    33 endif()
    34 
    35 add_custom_target(
    36         ${PROJECT_NAME}_compile_info
    37         COMMAND $ENV{FLAIR_ROOT}/flair-dev/scripts/compile_info.sh ${CMAKE_C_COMPILER} ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/src/unexported/compile_info.h
    38 )
    39 
    40 add_dependencies(FlairCore_rt ${PROJECT_NAME}_compile_info)
    41 add_dependencies(FlairCore_nrt ${PROJECT_NAME}_compile_info)
Note: See TracChangeset for help on using the changeset viewer.